API referenceSponsorships
List sponsorships
GET
/sponsorshipsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
cursor?string
Length
1 <= length <= 2048limit?integer
Range
1 <= value <= 200Default
50channelId?string
Length
1 <= length <= 64brandId?string
Format
uuidbrandDomain?string
Length
1 <= length <= 253type?string
Value in
- "Integration"
- "Dedicated"
- "Affiliate"
- "Free Product"
search?string
Length
length <= 200Response Body
application/json
curl -X GET "https://example.com/sponsorships"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "detectedAt": "string", "type": "Integration", "brandId": "0e9bcbb3-096e-49f9-aeea-7a13a201eff5", "brandName": "string", "brandDomain": "string", "brandKind": "string", "domainWasResearched": true, "channelId": "string", "creator": "string", "channelHandle": "string", "videoId": "string", "videoTitle": "string", "videoPlatform": "youtube", "videoFormat": "video", "publishedAt": "string", "durationSeconds": 0, "viewCount": 0 } ], "meta": { "nextCursor": "string", "hasMore": true }}